CFPRIME GPMAIN                                                          GPMAIN      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*               Output Analysis Program for ETMSP (OAP)               *RIGHTE      4
C*               =======================================               *RIGHTE      5
C*                                                                     *RIGHTE     11
C*        copyright @(1993) Electric Power Research Institute          *RIGHTE     12
C*                                                                     *RIGHTE     13
C* EPRI reserves all rights in the software and associated             *RIGHTE     14
C* documentation as delivered. The software and its associated         *RIGHTE     15
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     16
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     17
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     18
C* of any changes or modifications to the software within two (2)      *RIGHTE     19
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     20
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     21
C* new designation sufficiently different from its then current        *RIGHTE     22
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     23
C* the current software as changed or modified.                        *RIGHTE     24
C*                                                                     *RIGHTE     25
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     26
C* directly from EPRI.                                                 *RIGHTE     27
C*                                                                     *RIGHTE     28
C* This program and supporting materials may be independently available*RIGHTE     29
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     30
C* distribution fee. The EPSC is a service of                          *RIGHTE     31
C*                                                                     *RIGHTE     32
C*                    Power Computing Company                          *RIGHTE     33
C*                    1930 Hi Line                                     *RIGHTE     34
C*                    Dallas, Tx 75207                                 *RIGHTE     35
C*                                                                     *RIGHTE     36
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     37
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     38
C*                                                                     *RIGHTE     39
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     40
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     41
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     42
C*    DOCUMENTATION; OR                                                *RIGHTE     43
C*                                                                     *RIGHTE     44
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     45
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     46
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     47
C*                                                                     *RIGHTE     48
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     49
C* THEREOF.                                                            *RIGHTE     50
C*                                                                     *RIGHTE     51
C***********************************************************************RIGHTE     52
      SUBROUTINE GPMAIN(IDO,IDEV,AUTOSC,MARK,NAX)                       GPMAIN      3
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCGPMAIN      4
CD                                                                      GPMAIN      5
CD             THIS ROUTINE IS THE MAIN ROUTINE FOR INTERFACEING WITH   GPMAIN      6
CD             PLOTTING SPECIFICS FROM PROPRIETARY PLOTTING ROUTINES    GPMAIN      7
CD                                                                      GPMAIN      8
CD             CALLING PARAMETERS :                                     GPMAIN      9
CD                                                                      GPMAIN     10
CD               IDEV  - PLOTTING DEVICE FLAG                           GPMAIN     11
CD                         IDEV=1  --> VERSATEC                         GPMAIN     12
CD                         IDEV=4  --> GRAPHIC TERMINAL                 GPMAIN     13
CD                         IDEV=31 --> QMS LASER PRINTER                GPMAIN     14
CD                         IDEV=41 --> POSTSCRIPT PRINTER               GPMAIN     15
CD                                                                      GPMAIN     16
CD               IDO - OPERATION CODE ID                                GPMAIN     17
CD                          IDO=1 --> INITIALIZE PLOTTING PAGE,         GPMAIN     18
CD                                    DRAW BOX, PLOT TITLE, DATE        GPMAIN     19
CD                          IDO=2 --> SCALE X-AXIS. DRAW X-AXIS         GPMAIN     20
CD                          IDO=3 --> SCALE Y-AXIS. DRAW Y-AXIS AND PLOTGPMAIN     21
CD                                                                      GPMAIN     22
CD               AUTOSC = .TRUE. --> SCALE CALCULATED USING DATA POINTS GPMAIN     23
CD                        .FALSE.--> USER SELECT SCALE BY SETTING :     GPMAIN     24
CD                                 - XSTVAL=STARTING VALUE FOR X-AXIS   GPMAIN     25
CD                                 - XDELTA=INCREMENTAL VALUE FOR X-AXISGPMAIN     26
CD                                 - YSTVAL=STARTING VALUE FOR Y-AXIS   GPMAIN     27
CD                                 - YDELTA=INCREMENTAL VALUE FOR Y-AXISGPMAIN     28
CD                                                                      GPMAIN     29
CD                         *NOTE* IF AUTOSC=.FALSE. THE CALLING ROUTE   GPMAIN     30
CD                                IS RESPONSIBLE FOR SETTING UP         GPMAIN     31
CD                                XSTVAL/XDELTA AND YSTVAL/YDELTA.      GPMAIN     32
CD                                                                      GPMAIN     33
CD               NAX = CURRENT Y-AXIS NUMBER                            GPMAIN     34
CD                                                                      GPMAIN     35
CD......................................................................GPMAIN     36
CD                                                                      GPMAIN     37
CD INTERFACE REQUIREMENTS :                                             GPMAIN     38
CD                                                                      GPMAIN     39
CD   1. CALLING ROUTINE MUST FILL THE FOLLOWING ARRAYS IN :             GPMAIN     40
CD                                                                      GPMAIN     41
CD        -  XARAY(M,6) AND YARAY(M,6) - DATA POINTS TO BE PLOTTED.     GPMAIN     42
CD                                                                      GPMAIN     43
CD           SET MAXPT(NAX) = MAXIMUM NUMBER OF DATA POINTS IN THE ARRAYGPMAIN     44
CD                                                                      GPMAIN     45
CD                                                                      GPMAIN     46
CD                                                                      GPMAIN     47
CD   2. CALLING ROUTINE MUST FILL IN THE FOLLOWING CHARACTER STRINGS :  GPMAIN     48
CD         CHARACTER*100 XTITLE   -> X-AXIS TITLE. ONE PER PLOT         GPMAIN     49
CD         CHARACTER*40 YTITLE(6)   -> Y-AXIS TITLE. ONE PER Y-AXIS     GPMAIN     50
CD         CHARACTER*60 CTITLE(6) -> 2 LINE DESCRIPTION WITH EACH Y-AXISGPMAIN     51
CD         CHARACTER*60 PTITLE    -> PLOT TITLE. ONE TITLE PER PLOT     GPMAIN     52
CD         CHARACTER*30 LTITLE(6) -> CURVE LABELS. MAX OF 6 CURVES      GPMAIN     53
CD                                                                      GPMAIN     54
CD   3. CALLING SEQUENCE FOR ONE PLOT :                                 GPMAIN     55
CD                                                                      GPMAIN     56
CD        1. SET ONEONE=.TRUE. --> FOR 1 PLOT PER PAGE OR               GPMAIN     57
CD               ONEONE=.FALSE --> FOR 2 PLOT PER PAGE. THEN            GPMAIN     58
CD                                                                      GPMAIN     59
CD           CALL GPPAGE                                                GPMAIN     60
CD                                                                      GPMAIN     61
CD        2. SET IDEV=1 --> FOR OUTPUT FROM VERSETEC OR                 GPMAIN     62
CD               IDEV=31--> FOR OUTPUT FROM QMSLASER                    GPMAIN     63
CD                                                                      GPMAIN     64
CD           CALL GPSTRT(IDEV)                                          GPMAIN     65
CD                                                                      GPMAIN     66
CD                                                                      GPMAIN     67
CD        3. CALL GPMAIN(1,IDEV,AUTOSC) ! TO INIT PLOTTING PAGE         GPMAIN     68
CD                                                                      GPMAIN     69
CD        4. SET AUTOSC=.TRUE. FOR AUTOMATIC X-AXIS SCALING, OR,        GPMAIN     70
CD            SET AUTOSC=.FALSE., AND                                   GPMAIN     71
CD               SET - XSTVAL=STARTING VALUE FOR X-AXIS                 GPMAIN     72
CD                   - XDELTA=INCREMENTAL VALUE FOR X-AXIS              GPMAIN     73
CD                                                                      GPMAIN     74
CD             CALL GPMAIN(2,IDEV,AUTOSC) TO SCALE XARAY AND PLOT X-AXISGPMAIN     75
CD                                                                      GPMAIN     76
CD        5. SET AUTOSC=.TRUE. FOR AUTOMATIC Y-AXIS SCALING, OR,        GPMAIN     77
CD            SET AUTOSC=.FALSE., AND                                   GPMAIN     78
CD                SET - YSTVAL=STARTING VALUE FOR Y-AXIS                GPMAIN     79
CD                    - YDELTA=INCREMENTAL VALUE FOR Y-AXIS             GPMAIN     80
CD            CALL GPMAIN(3,IDEV,AUTOSC) TO SCALE YARAY AND PLOT Y-AXIS GPMAIN     81
CD                                                AND PLOT THE CURVE    GPMAIN     82
CD                                                                      GPMAIN     83
CD           5.1 REPEAT STEP 5. FOR ANOTHER SET OF CURVES WITH DIFFERENTGPMAIN     84
CD               Y-AXIS. (A MAXIMUM OF 3 Y-AXIS IS ALLOWED)             GPMAIN     85
CD                                                                      GPMAIN     86
CD                                                                      GPMAIN     87
CD        6. CALL GPNEXT(IDEV)  TO DO ANOTHER PLOT. OR STEP 7 IF FINISHEGPMAIN     88
CD                                                                      GPMAIN     89
CD        7. CALL CLOSDI        COMPLETED ALL PLOTS.                    GPMAIN     90
CD                                                                      GPMAIN     91
CD                                                                      GPMAIN     92
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCGPMAIN     93
C                                                                       GPMAIN     94
C                                                                       GPMAIN     95
      INCLUDE 'PARAM.INS'                                               GPMAIN     96
      INCLUDE 'XYARAY.INS'                                              GPMAIN     97
      INCLUDE 'GPINFO.INS'                                              GPMAIN     98
      INCLUDE 'SOAPC1.INS'                                              GPMAIN     99
C                                                                       GPMAIN    100
      COMMON /SCFLAG/ IFLG                                              GPMAIN    101
C                                                                       GPMAIN    102
*IF LAHEY                                                               GPMAIN    103
*ENDIF                                                                  GPMAIN    106
      CHARACTER*9 TODAY                                                 GPMAIN    107
      CHARACTER*8 CTIME                                                 GPMAIN    108
*IF CALCOM                                                              GPMAIN    109
*ENDIF                                                                  GPMAIN    111
*IF LAHEY                                                               GPMAIN    112
*ENDIF                                                                  GPMAIN    115
      REAL VVALUE(4)                                                    GPMAIN    116
      INTEGER ITEM(4)                                                   GPMAIN    117
      INTEGER LINSTL(6)                                                 GPMAIN    118
      INTEGER ISLEN                                                     GPMAIN    119
                                                                        GPMAIN    120
      REAL YTEM(MXPT),XTEM(MXPT)                                        GPMAIN    121
*IF LAHEY                                                               GPMAIN    122
*ENDIF                                                                  GPMAIN    125
      SAVE LSYM,YAXLOC,NAPART,YLAB,XLAB,NMFILE                          GPMAIN    126
*IF -LAHEY                                                              GPMAIN    127
      DATA YAXINC/.45/,  YLBINC/.3/                                     GPMAIN    128
*ENDIF                                                                  GPMAIN    129
*IF LAHEY                                                               GPMAIN    130
*ENDIF                                                                  GPMAIN    132
      DATA LINSTL/1,2,4,5,6,3/                                          GPMAIN    133
                                                                        GPMAIN    134
      XLEN=BXE-BXS                                                      GPMAIN    135
      YLEN=BYE-BYS                                                      GPMAIN    136
*IF CALCOM                                                              GPMAIN    137
*ENDIF                                                                  GPMAIN    139
*IF LAHEY                                                               GPMAIN    140
*ENDIF                                                                  GPMAIN    142
      IF (IDO.EQ.1) THEN                                                GPMAIN    143
C      ........................................................         GPMAIN    144
C      : INITIALIZE DRAWING PAGE,                             :         GPMAIN    145
C      : XLAB/YLAB - X/Y-COORDINATES OF LABEL                 :         GPMAIN    146
C      : YAXLOC - Y-AXIS X COORDINATE                         :         GPMAIN    147
C      : LSYM - SYMBOL ID                                     :         GPMAIN    148
C      :                                                      :         GPMAIN    149
         YLAB=YLEN-YLBINC                                               GPMAIN    150
         YLAB1=YLAB                                                     GPMAIN    151
         XLAB=XLEN                                                      GPMAIN    152
         YAXLOC=YAXINC-.1                                               GPMAIN    153
         DDX=(XARAY(3,NAX)-XARAY(2,NAX))                                GPMAIN    154
         IF(ABS(DDX).GT. 1.0E-6)THEN                                    GPMAIN    155
           NAPART=(XDELTA*XLEN)/ DDX /10.0                              GPMAIN    156
           IF(NAPART.EQ.0)NAPART=1                                      GPMAIN    157
         ELSE                                                           GPMAIN    158
           NAPART=1                                                     GPMAIN    159
         ENDIF                                                          GPMAIN    160
         LSYM=0                                                         GPMAIN    161
*IF LAHEY                                                               GPMAIN    162
*ENDIF                                                                  GPMAIN    164
         CALL YYMMDD(TODAY)                                             GPMAIN    165
         CALL HHMMSS(CTIME)                                             GPMAIN    166
*IF LAHEY                                                               GPMAIN    167
*ENDIF                                                                  GPMAIN    169
         CALL XSTEP(XSTVAL,XSTVAL+XDELTA*XLEN,XDIV,TT1)                 GPMAIN    170
         CALL GPINT(XLEN,YLEN,IDEV,TT1)                                 GPMAIN    171
C        ..............                                                 GPMAIN    172
C        : WRITE DATE :                                                 GPMAIN    173
C        ..............                                                 GPMAIN    174
*IF PINDEP                                                              GPMAIN    175
*ENDIF                                                                  GPMAIN    194
*IF VERSAP                                                              GPMAIN    195
*ENDIF                                                                  GPMAIN    197
*IF CALCOM                                                              GPMAIN    198
*ENDIF                                                                  GPMAIN    200
*IF LAHEY                                                               GPMAIN    201
*ENDIF                                                                  GPMAIN    205
*IF WSGKS                                                               GPMAIN    206
*ENDIF                                                                  GPMAIN    208
C      :.......................................................:        GPMAIN    209
                                                                        GPMAIN    210
      ELSE IF (IDO.EQ.2) THEN                                           GPMAIN    211
                                                                        GPMAIN    212
C      .........................................................        GPMAIN    213
C      : SCALE THE X-ARRAY AND DRAW X-AXIS                     :        GPMAIN    214
C      :                                                       :        GPMAIN    215
*IF PINDEP                                                              GPMAIN    216
*ENDIF                                                                  GPMAIN    218
*IF VERSAP                                                              GPMAIN    219
*ENDIF                                                                  GPMAIN    221
*IF -WSGKS                                                              GPMAIN    222
         XX1=0.0                                                        GPMAIN    223
         YY1=0.0                                                        GPMAIN    224
         XANG=0.0                                                       GPMAIN    225
         XSIZ=0.05                                                      GPMAIN    226
         CALL AXISXX(XX1,YY1,XTITLE,.FALSE.,XLEN,XANG,XSTVAL,XDELTA,    GPMAIN    227
     *      XLEN/XDIV,XSIZ,1,'X',TT1)                                   GPMAIN    228
*ENDIF                                                                  GPMAIN    229
      ELSE IF (IDO.EQ.3) THEN                                           GPMAIN    230
C     ..................................................................GPMAIN    231
C     : FIND MAX/MIN VALUE OF Y-ARAYS.                                  GPMAIN    232
C     : MAX/MIN VALUES ARE RETURNED IN YMAX/YMIN :                      GPMAIN    233
C     :.................................................................GPMAIN    234
*IF -WSGKS                                                              GPMAIN    235
*IF -WSX11                                                              GPMAIN    236
*ENDIF                                                                  GPMAIN    239
*ENDIF                                                                  GPMAIN    240
*IF -LAHEY                                                              GPMAIN    241
         IF(SSCALE)THEN                                                 GPMAIN    242
            YAXLOC=YAXLOC-YAXINC*MOD(NAX,2)                             GPMAIN    243
         ELSE                                                           GPMAIN    244
            YAXLOC=YAXLOC-YAXINC                                        GPMAIN    245
         ENDIF                                                          GPMAIN    246
*ENDIF                                                                  GPMAIN    247
*IF LAHEY                                                               GPMAIN    248
*ENDIF                                                                  GPMAIN    250
*IF -WSX11                                                              GPMAIN    251
*IF -WSGKS                                                              GPMAIN    252
*ENDIF                                                                  GPMAIN    261
*ENDIF                                                                  GPMAIN    262
C        ..............................................                 GPMAIN    263
C        : DRAW LABEL BOX AND WRITE 2 LINE CASE TITLE :                 GPMAIN    264
C        :                                            :                 GPMAIN    265
           YLAB=YLAB+YLBINC                                             GPMAIN    266
           XLAB=XLAB+YAXINC                                             GPMAIN    267
C        :............................................:                 GPMAIN    268
C        ...............................................................GPMAIN    269
C        : PLOT XARAY() VS YTEM().                                      GPMAIN    270
C        :                                                              GPMAIN    271
*IF -WSX11                                                              GPMAIN    272
*IF -WSGKS                                                              GPMAIN    273
*IF PINDEP                                                              GPMAIN    277
*ENDIF                                                                  GPMAIN    279
*ENDIF                                                                  GPMAIN    287
*ENDIF                                                                  GPMAIN    288
*IF PINDEP                                                              GPMAIN    289
*ENDIF                                                                  GPMAIN    386
*IF VERSAP                                                              GPMAIN    387
*ENDIF                                                                  GPMAIN    399
*IF CALCOM                                                              GPMAIN    400
*ENDIF                                                                  GPMAIN    412
*IF LAHEY                                                               GPMAIN    413
*ENDIF                                                                  GPMAIN    418
*IF WSGKS                                                               GPMAIN    419
*ENDIF                                                                  GPMAIN    421
C              :.............................................:          GPMAIN    422
                                                                        GPMAIN    423
C              .....................................................    GPMAIN    424
C              : WRITE LABEL/SYMBOL REF KEY                        :    GPMAIN    425
C              :                                                   :    GPMAIN    426
*IF -WSX11                                                              GPMAIN    427
*IF -WSGKS                                                              GPMAIN    428
*IF -LAHEY                                                              GPMAIN    430
*ENDIF                                                                  GPMAIN    432
*IF LAHEY                                                               GPMAIN    433
*ENDIF                                                                  GPMAIN    435
*ENDIF                                                                  GPMAIN    436
*ENDIF                                                                  GPMAIN    437
*IF PINDEP                                                              GPMAIN    438
*ENDIF                                                                  GPMAIN    475
*IF VERSAP                                                              GPMAIN    476
*ENDIF                                                                  GPMAIN    488
*IF CALCOM                                                              GPMAIN    489
*ENDIF                                                                  GPMAIN    501
*IF LAHEY                                                               GPMAIN    502
*ENDIF                                                                  GPMAIN    594
                 SYMX=SYMX+1.8                                          GPMAIN    595
C              :...................................................:    GPMAIN    596
C        :                                                              GPMAIN    597
C        : FINISHED PLOTTING ALL COLUMNS OF THE  YARAY(,)               GPMAIN    598
C        :..............................................................GPMAIN    599
                                                                        GPMAIN    600
      ELSE                                                              GPMAIN    601
         STOP 'PLOTTING ERROR . WRONG IDO CODE.'                        GPMAIN    602
      ENDIF                                                             GPMAIN    603
      RETURN                                                            GPMAIN    604
      END                                                               GPMAIN    605
                                                                        GPMAIN    606
      SUBROUTINE GPINT(XLEN,YLEN,IDEV,TT1)                              GPMAIN    607
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCGPMAIN    608
CD                                                                      GPMAIN    609
CD        THE ROUTINE INITIALIZES PLOTTING PAGE (PROPRIETARY  SPECIFIC) GPMAIN    610
CD                                                                      GPMAIN    611
CD        CALLING PARAMETERS :                                          GPMAIN    612
CD                                                                      GPMAIN    613
CD                     XLEN  -  LENGTH OF THE X-AXIS                    GPMAIN    614
CD                     YLEN  -  LENGTH OF THE Y-AXIS                    GPMAIN    615
CD                     IDEV  -  DEVICE FLAG                             GPMAIN    616
CD                     TT1   -  STARTING OF X-AXIS                      GPMAIN    617
CD                                                                      GPMAIN    618
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCGPMAIN    619
C                                                                       GPMAIN    620
      INCLUDE 'GPINFO.INS'                                              GPMAIN    621
      COMMON /SCFLAG/ IFLG                                              GPMAIN    622
      REAL VVALUE(4)                                                    GPMAIN    623
      INTEGER ITEM(4)                                                   GPMAIN    624
*IF PINDEP                                                              GPMAIN    625
*ENDIF                                                                  GPMAIN    634
*IF VERSAP                                                              GPMAIN    635
*ENDIF                                                                  GPMAIN    641
C     :......................................:                          GPMAIN    642
*IF PINDEP                                                              GPMAIN    643
*IF BPA                                                                 GPMAIN    648
*ENDIF                                                                  GPMAIN    650
*IF -BPA                                                                GPMAIN    651
*ENDIF                                                                  GPMAIN    653
*ENDIF                                                                  GPMAIN    660
C     .........................................................         GPMAIN    661
C     : DRAW FRAME AND GRID                                   :         GPMAIN    662
*IF -WSX11                                                              GPMAIN    663
*IF -WSGKS                                                              GPMAIN    664
*IF PINDEP                                                              GPMAIN    674
*ENDIF                                                                  GPMAIN    676
*ENDIF                                                                  GPMAIN    680
*ENDIF                                                                  GPMAIN    681
*IF WSGKS                                                               GPMAIN    682
*ENDIF                                                                  GPMAIN    687
      RETURN                                                            GPMAIN    688
      END                                                               GPMAIN    689
                                                                        GPMAIN    690
*IF -WSX11                                                              GPMAIN    691
*IF -WSGKS                                                              GPMAIN    692
*IF PINDEP                                                              GPMAIN    705
*ENDIF                                                                  GPMAIN    712
*IF VERSAP                                                              GPMAIN    713
*ENDIF                                                                  GPMAIN    723
*IF CALCOM                                                              GPMAIN    724
*ENDIF                                                                  GPMAIN    732
*IF LAHEY                                                               GPMAIN    733
*ENDIF                                                                  GPMAIN    747
*ENDIF                                                                  GPMAIN    777
*ENDIF                                                                  GPMAIN    778
      SUBROUTINE GPPAGE                                                 GPMAIN    779
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCGPMAIN    780
CD                                                                      GPMAIN    781
CD           THE ROUTINE SETS UP PLOTTING AREA DIMENSIONS               GPMAIN    782
CD                                                                      GPMAIN    783
CD                                                                      GPMAIN    784
CD     BYE --->-----------------------------------                      GPMAIN    785
CD             |  XDIV=NO.OF EQUAL X DIVISIONS   |                      GPMAIN    786
CD             |  YDIV=NO.OF EQUAL Y DIVISIONS   |                      GPMAIN    787
CD             |  ONEONE=.TRUE.--> ONE PLOT/PAGE |                      GPMAIN    788
CD             |  ONEONE=.FALSE.-->TWO PLOT/PAGE |                      GPMAIN    789
CD             |                                 |                      GPMAIN    790
CD     BYS --->-----------------------------------                      GPMAIN    791
CD             ^                                 ^                      GPMAIN    792
CD             |_BXS                        BXE__|                      GPMAIN    793
CD                                                                      GPMAIN    794
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCGPMAIN    795
      INCLUDE 'PARAM.INS'                                               GPMAIN    796
      INCLUDE 'GPINFO.INS'                                              GPMAIN    797
      INCLUDE 'SOAPC1.INS'                                              GPMAIN    798
      INCLUDE 'XYARAY.INS'                                              GPMAIN    799
      INCLUDE 'CHDISP.INS'                                              GPMAIN    800
C                                                                       GPMAIN    801
      COMMON /BSAVEM/ ISLAST                                            GPMAIN    802
      COMMON /SCFLAG/ IFLG                                              GPMAIN    803
      CHARACTER*1 QQ                                                    GPMAIN    804
*IF -PINDEP                                                             GPMAIN    805
      CHARACTER*80 MSG,STRING                                           GPMAIN    806
      REAL VVALUE(5)                                                    GPMAIN    807
      INTEGER ITEM(5)                                                   GPMAIN    808
*ENDIF                                                                  GPMAIN    809
C        ....................                                           GPMAIN    810
C        : ONE PLOT PER PAGE :                                          GPMAIN    811
C        :                   :                                          GPMAIN    812
           BXS=7.0                                                      GPMAIN    813
           BXE=BXS+7.2                                                  GPMAIN    814
           BYS=3.2                                                      GPMAIN    815
           BYE=BYS+5.65                                                 GPMAIN    816
C        :...................:                                          GPMAIN    817
*IF VERSAP                                                              GPMAIN    818
*ENDIF                                                                  GPMAIN    827
*IF CALCOM                                                              GPMAIN    828
*ENDIF                                                                  GPMAIN    837
*IF LAHEY                                                               GPMAIN    838
*ENDIF                                                                  GPMAIN    843
*IF -WSGKS                                                              GPMAIN    844
       YDIV=5                                                           GPMAIN    845
                                                                        GPMAIN    846
*ENDIF                                                                  GPMAIN    847
*IF WSGKS                                                               GPMAIN    848
*ENDIF                                                                  GPMAIN    855
*IF WSX11                                                               GPMAIN    856
          BXS=0.26                                                      GPMAIN    857
          BXE=BXS+0.5                                                   GPMAIN    858
          BYS=0.25                                                      GPMAIN    859
          BYE=BYS+0.45                                                  GPMAIN    860
          XDIV=5.0                                                      GPMAIN    861
          YDIV=5.0                                                      GPMAIN    862
*ENDIF                                                                  GPMAIN    863
      RETURN                                                            GPMAIN    864
*IF -WSX11                                                              GPMAIN    865
*IF -WSGKS                                                              GPMAIN    866
*IF PINDEP                                                              GPMAIN    878
*ENDIF                                                                  GPMAIN    902
*IF VERSAP                                                              GPMAIN    903
*ENDIF                                                                  GPMAIN    907
*IF CALCOM                                                              GPMAIN    908
*ENDIF                                                                  GPMAIN    923
*IF PINDEP                                                              GPMAIN    936
*ENDIF                                                                  GPMAIN    938
*IF VERSAP                                                              GPMAIN    939
*ENDIF                                                                  GPMAIN    963
*IF CALCOM                                                              GPMAIN    964
*ENDIF                                                                  GPMAIN    992
*IF LAHEY                                                               GPMAIN    993
*ENDIF                                                                  GPMAIN    997
*ENDIF                                                                  GPMAIN    999
*ENDIF                                                                  GPMAIN   1000
      END                                                               GPMAIN   1001
